Class DevicesListMemberDevicesBuilder

java.lang.Object
com.dropbox.core.v2.team.DevicesListMemberDevicesBuilder

public class DevicesListMemberDevicesBuilder extends Object
The request builder returned by DbxTeamTeamRequests.devicesListMemberDevicesBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withIncludeWebSessions

      public DevicesListMemberDevicesBuilder withIncludeWebSessions(Boolean includeWebSessions)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeWebSessions - Whether to list web sessions of the team's member. Defaults to true when set to null.
      Returns:
      this builder
    • withIncludeDesktopClients

      public DevicesListMemberDevicesBuilder withIncludeDesktopClients(Boolean includeDesktopClients)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeDesktopClients - Whether to list linked desktop devices of the team's member. Defaults to true when set to null.
      Returns:
      this builder
    • withIncludeMobileClients

      public DevicesListMemberDevicesBuilder withIncludeMobileClients(Boolean includeMobileClients)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeMobileClients - Whether to list linked mobile devices of the team's member. Defaults to true when set to null.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      ListMemberDevicesErrorException
      DbxException